package com.shin1ogawa;

import java.util.HashMap;
import java.util.Map;

import com.google.apphosting.api.ApiProxy;

/**
 * @author shin1ogawa
 */
class TestEnvironment implements ApiProxy.Environment {

	public String getAppId() {
		return "Unit Tests";
	}

	public String getVersionId() {
		return "1.0";
	}

	//
	// public void setDefaultNamespace(String s) {
	// }

	public String getRequestNamespace() {
		return "";
	}

	public String getDefaultNamespace() {
		return null;
	}

	public String getAuthDomain() {
		throw new UnsupportedOperationException();
	}

	public boolean isLoggedIn() {
		throw new UnsupportedOperationException();
		// return true;
	}

	public String getEmail() {
		throw new UnsupportedOperationException();
		// return "hoge@gmail.com";
	}

	public boolean isAdmin() {
		throw new UnsupportedOperationException();
		// return false;
	}

	public Map<String, Object> getAttributes() {
		Map<String, Object> map = new HashMap<String, Object>();
		return map;
	}
}
